umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
Ui::CPPCodeGenerationFormBase Class Reference

`#include <ui_cppcodegenerationformbase.h>`

Inheritance diagram for Ui::CPPCodeGenerationFormBase:

## Additional Inherited Members
Public Member Functions inherited from Ui_CPPCodeGenerationFormBase
void | setupUi (QWidget *CPPCodeGenerationFormBase)
void | retranslateUi (QWidget *CPPCodeGenerationFormBase)
Public Attributes inherited from Ui_CPPCodeGenerationFormBase
QVBoxLayout * | vboxLayout
QGridLayout * | ui_gridLayoutMain
QLabel * | ui_textLabelTitle
QTabWidget * | ui_tabWidget
QWidget * | ui_tabGeneral
QWidget * | layoutWidget
QGridLayout * | gridLayout
QHBoxLayout * | horizontalLayout_2
QLabel * | label
QLineEdit * | ui_classMemberPrefixEdit
QListWidget * | ui_generalOptionsListWidget
QWidget * | ui_tabMethodBodyGeneration
QGridLayout * | gridLayout1
QSpacerItem * | spacerItem
QGridLayout * | ui_includeFilesList
KHistoryComboBox * | ui_listClassHCombo
QLabel * | ui_textLabelVariable
QPushButton * | ui_browseStringButton
QCheckBox * | ui_globalStringCheckBox
KHistoryComboBox * | ui_stringClassHCombo
QSpacerItem * | spacerItem1
QSpacerItem * | spacerItem2
QLabel * | ui_textLabelStringClass
QLabel * | ui_textLabelListClass
QCheckBox * | ui_globalListCheckBox
QPushButton * | ui_browseListButton
QLabel * | ui_textLabelGlobal
KHistoryComboBox * | ui_listIncludeFileHistoryCombo
KHistoryComboBox * | ui_stringIncludeFileHistoryCombo
QLabel * | ui_textLabelClassName
QLabel * | ui_textLabelIncludeFile
QLabel * | ui_textLabelHelpMethodBodyGen
QGroupBox * | ui_groupBoxDocumentation
QHBoxLayout * | horizontalLayout
QLabel * | ui_textLabelStyle
KComboBox * | ui_selectCommentStyle

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_cppcodegenerationformbase.h